#!/bin/sh

# This script is used to stop omsa dataengine service before stopping watchdog timer

if [ ! -f /etc/init.d/dataeng ]; then
   echo "/etc/init.d/dataeng service is not installed"
   exit 0  
fi

/etc/init.d/dataeng status >/dev/null
if [ $? != 0 ]; then
 echo "dataeng service is not running"
 exit 0
fi

if [ ! -f /opt/dell/srvadmin/bin/omreport ]; then
   echo "omreport is not installed"
   exit 0
fi

/opt/dell/srvadmin/bin/omreport system recovery | grep -i "None" >/dev/null
if [ $? == 0 ]; then
 echo "autorecovery is set to none "
 exit 0
fi
#if BIOS watchdog timer is enabled then no need to stop omsa data engine service  
/opt/dell/srvadmin/bin/omreport system recovery | grep -i "BIOS" >/dev/null
if [ $? == 0 ]; then
 echo "BIOS watchdog timer enabled " 
 exit 0
fi
/etc/init.d/dataeng stop > /dev/null

